Bug 1159313 (CVE-2014-8559) - CVE-2014-8559 kernel: fs: deadlock due to incorrect usage of rename_lock
Summary: CVE-2014-8559 kernel: fs: deadlock due to incorrect usage of rename_lock
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8559
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1173812 1173813 1173814 1173831 1266516 1266517
Blocks: 1159275
TreeView+ depends on / blocked
 
Reported: 2014-10-31 13:26 UTC by Prasad J Pandit
Modified: 2019-09-29 13:23 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Linux kernel's VFS subsystem handled file system locks. A local, unprivileged user could use this flaw to trigger a deadlock in the kernel, causing a denial of service on the system.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:35:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1976 normal SHIPPED_LIVE Moderate: kernel-rt security, bug fix, and enhancement update 2015-11-03 21:39:30 UTC
Red Hat Product Errata RHSA-2015:1977 normal SHIPPED_LIVE Moderate: kernel-rt security, bug fix, and enhancement update 2015-11-03 21:42:40 UTC
Red Hat Product Errata RHSA-2015:1978 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2015-11-03 23:47:34 UTC

Description Prasad J Pandit 2014-10-31 13:26:14 UTC
Linux kernel built with Virtual File System(VFS) support is vulnerable to a
deadlock condition. It occurs due to incorrect usage of file system locks.

An unprivileged user/process could use this flaw to render the system unusable, thus resulting in DoS.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/ca5358ef75fc69fee5322a38a340f5739d997c10
  -> https://git.kernel.org/linus/946e51f2bf37f1656916eb75bd0742ba33983c28

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2014/10/30/7

Comment 1 Prasad J Pandit 2014-12-13 08:35:59 UTC
Statement:

This issue does not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.

This issue affects the version of the kernel package as shipped with Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG 2. Future kernel updates for the respective releases may address this issue.

Comment 3 Prasad J Pandit 2014-12-13 08:38:28 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1173814]

Comment 6 Fedora Update System 2014-12-21 06:36:27 UTC
kernel-3.17.7-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-12-22 02:32:36 UTC
kernel-3.17.7-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2015-11-03 16:39:40 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2015:1976 https://rhn.redhat.com/errata/RHSA-2015-1976.html

Comment 10 errata-xmlrpc 2015-11-03 16:42:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1977 https://rhn.redhat.com/errata/RHSA-2015-1977.html

Comment 11 errata-xmlrpc 2015-11-03 18:52:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1978 https://rhn.redhat.com/errata/RHSA-2015-1978.html


Note You need to log in before you can comment on or make changes to this bug.